import { Category } from '@digi/taxonomies';

export const componentCategoryMap = {
  'digi-button': Category.BUTTON,
  'digi-code': Category.CODE,
  'digi-icons': Category.ICON,
  'digi-code-block': Category.CODE,
  'digi-code-example': Category.CODE,
  'digi-form-checkbox': Category.FORM,
  'digi-form-radiobutton': Category.FORM,
  // 'digi-form-radiogroup': Category.FORM,
	'digi-form-file-upload': Category.FORM,
  'digi-form-error-list': Category.FORM,
  'digi-form-filter': Category.FORM,
  'digi-form-category-filter': Category.FORM,
  'digi-form-fieldset': Category.FORM,
  'digi-form-input': Category.FORM,
  'digi-form-input-search': Category.FORM,
  'digi-form-label': Category.FORM,
  'digi-form-textarea': Category.FORM,
  'digi-form-validation-message': Category.FORM,
  'digi-form-receipt': Category.FORM,
  'digi-info-card': Category.CARD,
  'digi-info-card-multi-container': Category.CARD,
  'digi-info-card-multi': Category.CARD,
  'digi-layout-block': Category.LAYOUT,
  'digi-layout-columns': Category.LAYOUT,
  'digi-layout-container': Category.LAYOUT,
  'digi-layout-media-object': Category.LAYOUT,
  'digi-layout-error-page': Category.LAYOUT,
  'digi-link': Category.LINK,
  'digi-link-button': Category.LINK,
  'digi-link-external': Category.LINK,
  'digi-link-internal': Category.LINK,
  'digi-list': Category.LIST,
  'digi-media-image': Category.MEDIA,
  'digi-media-figure': Category.MEDIA,
  'digi-navigation-breadcrumbs': Category.NAVIGATION,
  'digi-navigation-context-menu': Category.NAVIGATION,
  'digi-navigation-context-menu-item': Category.NAVIGATION,
  'digi-navigation-pagination': Category.NAVIGATION,
  'digi-navigation-sidebar': Category.NAVIGATION,
  'digi-navigation-sidebar-button': Category.NAVIGATION,
  'digi-navigation-vertical-menu': Category.NAVIGATION,
  'digi-navigation-vertical-menu-item': Category.NAVIGATION,
  'digi-navigation-tab': Category.NAVIGATION,
  'digi-navigation-tabs': Category.NAVIGATION,
  'digi-notification-alert': Category.NOTIFICATION,
  'digi-notification-error-page': Category.NOTIFICATION,
  'digi-table': Category.TABLE,
  'digi-typography': Category.TYPOGRAPHY,
  'digi-typography-preamble': Category.TYPOGRAPHY,
  'digi-typography-heading-jumbo': Category.TYPOGRAPHY,
  'digi-typography-time': Category.TYPOGRAPHY,
  'digi-util-detect-click-outside': Category.DEV_UTIL,
  'digi-util-detect-focus-outside': Category.DEV_UTIL,
  'digi-util-intersection-observer': Category.DEV_UTIL,
  'digi-util-mutation-observer': Category.DEV_UTIL,
  'digi-util-breakpoint-observer': Category.DEV_UTIL,
  'digi-util-keydown-handler': Category.DEV_UTIL,
  'digi-util-keyup-handler': Category.DEV_UTIL,
  'digi-tag': Category.TAG,
  'digi-tag-media': Category.TAG,
  'digi-calendar': Category.CALENDAR,
  'digi-calendar-week-view': Category.CALENDAR,
  'digi-calendar-datepicker': Category.CALENDAR,
  'digi-form-select': Category.FORM,
  'digi-typography-meta': Category.TYPOGRAPHY,
  'digi-progressbar': Category.PROGRESS,
  'digi-logo': Category.LOGO,
  'digi-expandable-accordion': Category.EXPANDABLE,
  'digi-expandable-faq': Category.EXPANDABLE,
  'digi-expandable-faq-item': Category.EXPANDABLE,
  'digi-progress-steps': Category.PROGRESS,
  'digi-progress-step': Category.PROGRESS,
  'digi-dialog': Category.DIALOG,
  'digi-loader-spinner': Category.LOADER,
  'digi-chart-line': Category.CHART,
  'digi-bar-chart': Category.CHART,
  'digi-tools-languagepicker': Category.UTIL,
  'digi-tools-feedback': Category.UTIL,
  'digi-tools-feedback-banner': Category.UTIL,
  'digi-quote-single':Category.QUOTE,
  'digi-quote-multi-container':Category.QUOTE
};
